import PrettyError from "pretty-error";
import stackTrace from "stack-trace";
import { ErrorWithCodeFrame } from "./prepare-stack-trace";
import { IStructuredStackFrame } from "../structured-errors/types";
export declare const sanitizeStructuredStackTrace: (stack: Array<stackTrace.StackFrame>) => Array<IStructuredStackFrame>;
export declare function getErrorFormatter(): PrettyError;
/**
 * Convert a stringified webpack compilation error back into
 * an Error instance so it can be formatted properly
 */
export declare function createErrorFromString(errorStr: string | undefined, sourceMapFile: string): Promise<ErrorWithCodeFrame>;
